%define name xmms
%define version 1.0.1
%define release 4

Summary: An MP3 player for X which resembles Winamp.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Applications/Multimedia
URL: http://www.xmms.org/
Source: %{name}-%{version}.tar.gz
Source1: xmms.desktop
Source2: mp3license 
Source3: README.ESD 
Patch1: xmms-audio.patch
Patch2: xmms-pluggedup.patch
Requires: gtk+ >= 1.2.2
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-root
Obsoletes: x11amp0.7-1-1 x11amp
Prefix: /usr

%description
Xmms is a multimedia (MP3s, CDs) player for the X Window System with
an interface similar to Winamp's.  Xmms supports playlists and
streaming content and has a configurable interface.

%package devel
Summary: Static libraries and header files for Xmms plug-in development.
Group: Development/Libraries
Obsoletes: x11amp-devel
Requires: %{name}

%description devel
The static libraries and header files needed for building plug-ins for
the Xmms multimedia player.

%package gnome
Summary: A GNOME panel applet for the Xmms multimedia player.
Group: Applications/Multimedia
Requires: %{name}

%description gnome
The xmms-gnome package contains a GNOME panel applet that allows you
to control the Xmms multimedia player.

%prep
%setup -q
%patch1 -p1 -b .audio
%patch2 -p1 -b .pluggedup

%build
%configure --prefix=%{prefix}
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Multimedia/
install -m 644 $RPM_SOURCE_DIR/xmms.desktop  $RPM_BUILD_ROOT/etc/X11/applnk/Multimedia/

mkdir -p $RPM_BUILD_ROOT%{prefix}/share/pixmaps
install xmms/xmms_logo.xpm $RPM_BUILD_ROOT%{prefix}/share/pixmaps

strip $RPM_BUILD_ROOT%{prefix}/bin/*  || :

find $RPM_BUILD_ROOT -type f -name "*.so*" -exec strip --strip-unneeded {} \;

%post -p /sbin/ldconfig  

%postun -p /sbin/ldconfig 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog FAQ INSTALL NEWS TODO README 
%doc $RPM_SOURCE_DIR/README.ESD
%{prefix}/bin/xmms
%{prefix}/bin/wmxmms
%{prefix}/lib/libxmms.so.1.*
%{prefix}/lib/xmms
/etc/X11/applnk/Multimedia/xmms.desktop
%{prefix}/share/pixmaps/xmms_logo.xpm

%files devel
%defattr(-,root,root)
%{prefix}/include/xmms
%{prefix}/bin/xmms-config
%{prefix}/share/aclocal/xmms.m4
%{prefix}/lib/lib*.a
%{prefix}/lib/lib*.so

%files gnome
%defattr(-,root,root)
%{prefix}/bin/gnomexmms
%{prefix}/share/applets/Multimedia/gnomexmms.desktop
/etc/CORBA/servers/gnomexmms.gnorba


%changelog
* Tue Feb 22 2000 Bill Nottingham <notting@redhat.com>
- use /usr prefix to be consistent with xmms.org (why not?)
- find something more appropriate than the disk writer to use
  as output plugin if configured one doesn't exist

* Wed Feb 16 2000 Matt Wilson <msw@redhat.com>
- include /usr/X11R6/bin/wmxmms

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- some cleanups

* Mon Jan 31 2000 Bill Nottingham <notting@redhat.com>
- update to 1.0.1

* Fri Jan 28 2000 Bill Nottingham <notting@redhat.com>
- update to 1.0.0

* Tue Sep 28 1999 Bill Nottingham <notting@redhat.com>
- update to 0.9.5.1

* Wed Sep 23 1999 Preston Brown <pbrown@redhat.com>
- latest stable release (0.9.5)

* Wed Sep 22 1999 Bill Nottingham <notting@redhat.com>
- open in non-blocking mode, then reset
- make esd the default

* Mon Sep 13 1999 Bill Nottingham <notting@redhat.com>
- fix binaries

* Thu Sep  9 1999 Bill Nottingham <notting@redhat.com>
- fix gtk+ requirements

* Wed Aug 18 1999 Bill Nottingham <notting@redhat.com>
- fix a /0 in the disk writer

* Tue Jul 20 1999 Bill Nottingham <notting@redhat.com>
- 0.9.1

* Mon Jun 21 1999 Bill Nottingham <notting@redhat.com>
- use other fallback patch
- obsolete x11amp-devel

* Fri Jun 11 1999 Matt Wilson <msw@redhat.com>
- updated to xmms 0.9 final

* Thu Apr 8 1999 The Rasterman <raster@redhat.com>
- patched to have plugin fallback to other plugins for output if plugin fails.

* Mon Mar 29 1999 Michael Maher <mike@redhat.com>
- added desktop entry.

* Mon Mar 22 1999 Michael Maher <mike@redhat.com>
- made some changes to the spec file. 
- has 'esd' support now.
- stripped executables.

* Mon Feb 15 1999 Michael Maher <mike@redhat.com>
- built pacakge for 6.0
- changed spec file, added mp3 licenses.

* Mon Feb 15 1999 Ryan Weaver <ryanw@infohwy.com>
  [x11amp-0.9-alpha3-1]
- Updated to alpha3 see ChangLog for changes.

* Wed Jan 13 1999 Ryan Weaver <ryanw@infohwy.com>
  [x11amp-0.9-alpha2-1]
- fixed close button in PL/EQ windows
- fixed shuffel/randomize functions
- removed imlib, no need for imlib anymore
- mpg123 plugin now works on SMP machines, also reduced cpu usage
- fixed so mainwindow will be positioned correct at startup in some windowmanagers
- fixed the playlistwindow buttons that ended up behind the window
- added mikmod plugin into the source tree
- now you can configure the OSS drivers and mpg123 plugin
- SKINSDIR variable can be used again
- added bars as analyzer mode
- in playlistwindow the player control buttons now work, also time window works
